<template>
  <span class="sw-gs-icon sf-icon">
    <svg class="sf-icon-path"
         viewBox="0 0 24 24"
         preserveAspectRatio="none">
      <path fill="var(--icon-color)" d="M12 0C9.23858 0 7 2.23858 7 5V13C7 13.7566 7.16807 14.474 7.46891 15.1169L6.60408 15.9817C6.21557 15.2688 6 14.4738 6 13.647V11.5882C6 11.0359 5.55228 10.5882 5 10.5882C4.44772 10.5882 4 11.0359 4 11.5882V13.647C4 15.0496 4.4198 16.344 5.1426 17.4432L2.29289 20.2929C1.90237 20.6834 1.90237 21.3166 2.29289 21.7071C2.68342 22.0976 3.31658 22.0976 3.70711 21.7071L21.7071 3.70711C22.0976 3.31658 22.0976 2.68342 21.7071 2.29289C21.3166 1.90237 20.6834 1.90237 20.2929 2.29289L17 5.58578V5C17 2.23858 14.7614 0 12 0Z"/>
      <path fill="var(--icon-color)" d="M9.64123 18.573L8.13186 20.0824C9.00643 20.5266 9.97699 20.8241 11 20.9425V22H9C8.44772 22 8 22.4477 8 23C8 23.5523 8.44772 24 9 24H15C15.5523 24 16 23.5523 16 23C16 22.4477 15.5523 22 15 22H13V20.9425C16.8765 20.4939 20 17.4729 20 13.647V11.5882C20 11.0359 19.5523 10.5882 19 10.5882C18.4477 10.5882 18 11.0359 18 11.5882V13.647C18 16.5143 15.4072 19 12 19C11.1545 19 10.3592 18.8469 9.64123 18.573Z"/>
      <path fill="var(--icon-color)" d="M17 11.2142L10.4569 17.7573C10.9429 17.9149 11.4615 18 12 18C14.7614 18 17 15.7614 17 13V11.2142Z"/>
    </svg>
  </span>
</template>

<script lang="ts">
  export default {
    name: 'SwGsIconMicOff'
  }
</script>
